<%@ Page Language="c#" AutoEventWireup="true" Inherits="Telerik.Web.Examples.Dock.MyPortal.DefaultCS"
    CodeFile="AddToForm.aspx.cs" %>

<%@ Register TagPrefix="telerik" Namespace="Telerik.Web.UI" Assembly="Telerik.Web.UI" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.1//EN" "http://www.w3.org/tr/xhtml11/dtd/xhtml11.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <!--[if lte IE 6]>
	<style type="text/css">
	.raddockzone{height:200px}
	</style>
	<![endif]-->
</head>
<body class="BODY">
    <form id="Form1" method="post" runat="server">
    <asp:scriptmanager id="ScriptManager" runat="server" />
    <div class="module">
        Select Module: &nbsp; &nbsp; &nbsp; &nbsp; &nbsp;
        <asp:DropDownList runat="server" ID="DroptDownWidget" Width="150">
            <asp:ListItem Text="ExchangeRates.ascx" Value="Controls/ExchangeRates.ascx" Selected="true"></asp:ListItem>
            <asp:ListItem Text="Horoscopes.ascx" Value="Controls/Horoscopes.ascx"></asp:ListItem>
            <asp:ListItem Text="News.ascx" Value="Controls/News.ascx"></asp:ListItem>
            <asp:ListItem Text="Weather.ascx" Value="Controls/Weather.ascx"></asp:ListItem>
        </asp:DropDownList>
        <br />
        Select Docking Zone:
        <asp:DropDownList ID="DropDownZone" runat="server" DataSource="<%#GetZones() %>"
            DataTextField="ID" DataValueField="ClientID" Width="150">
        </asp:DropDownList>
        <asp:Button runat="server" ID="ButtonAddDock" Text="Add Dock" OnClick="ButtonAddDock_Click" />
    </div>
    <br />
    <telerik:RadDockLayout runat="server" ID="RadDockLayout1" OnSaveDockLayout="RadDockLayout1_SaveDockLayout"
        OnLoadDockLayout="RadDockLayout1_LoadDockLayout">
        <table>
            <tr>
                <td>
                    <telerik:RadDockZone runat="server" ID="RadDockZone1" Width="300" FitDocks="true"
                        Height="400">
                    </telerik:RadDockZone>
                </td>
                <td>
                    <telerik:RadDockZone runat="server" ID="RadDockZone2" Width="300" FitDocks="true"
                        Height="400">
                    </telerik:RadDockZone>
                </td>
            </tr>
        </table>
        <div style="display: none">
            Hidden UpdatePanel, which is used to receive the new dock controls. We will move
            them with script to the desired initial dock zone.
            <asp:updatepanel runat="server" id="UpdatePanel1">
                <triggers>
						<asp:asyncpostbacktrigger controlid="ButtonAddDock" eventname="Click" />
					</triggers>
            </asp:updatepanel>
        </div>
    </telerik:RadDockLayout>
    </form>
</body>
</html>
